Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AgaveWriter.Indent

    java.lang.Object
      org.biojava.bio.seq.io.agave.AgaveWriter.Indent

Enclosing class:
  AgaveWriter

    protected class AgaveWriter.Indent

extends Object

Implements indenting for elements.

Author:
  Brian King

Field Summary
`protected String` | `mIndent` Base indent

Constructor Summary
`protected` | `AgaveWriter.Indent()`

Method Summary
`void` | `indent()` Add a level of indentation
`String` | `toString()` Return the current indent
`void` | `unIndent()` Remove a level of indentation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mIndent

    protected String mIndent

  Base indent

Constructor Detail

### AgaveWriter.Indent

    protected AgaveWriter.Indent()

Method Detail

### indent

    public void indent()

  Add a level of indentation

### unIndent

    public void unIndent()

  Remove a level of indentation

### toString

    public String toString()

  Return the current indent

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD